apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  name: frontend-canary
spec:
  hosts:
    - frontend
  http:
    - route:
        - destination:
            host: frontend
            subset: v1
          weight: 90
        - destination:
            host: frontend
            subset: v2
          weight: 10
